Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class Method

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.rules.sdk.editor.datamodel.ModelComponent
oracle.rules.sdk.editor.datamodel.Constructor
oracle.rules.sdk.editor.datamodel.Method`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class Method
extends Constructor

Represent a public Java method

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROP_ALLOW_CHAINING`
`static java.lang.String` | `PROP_PARAMETER_LIST`
`static java.lang.String` | `PROP_RETURN_TYPE`
`static java.lang.String` | `PROP_STATIC`

Fields inherited from class oracle.rules.sdk.editor.datamodel.Constructor
`PROP_CLASS_NAME, PROP_EXCEPTIONS, PROP_FORMAL_PARAMETER_TABLE`

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`m_dm, m_parent, PROP_ALIAS, PROP_ID, PROP_NAME, PROP_PROPERTIES, PROP_VISIBLE`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)` Overwrite hashtable get method.
`boolean` | `getAllowChaining()` Allow expression chaining, e.g. a.foo().bar().
`boolean` | `getIsStatic()` Whether the method is static
`java.lang.String` | `getParameterList()` Get parameter list as a String.
`java.lang.String` | `getReturnType()` Get alias the return type of the method.
`boolean` | `isReturnTypePrimitive()` Whether the return type of the method is primitive (i.e. int, char, double etc.)?
`void` | `setAllowChaining(boolean allowChaining)` Set to allow the return value of the method to be chained to make up new expressions
`void` | `validate()` valid the model component

Methods inherited from class oracle.rules.sdk.editor.datamodel.Constructor
`getClassName, getExceptions, getFormalParameterTable`

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`getAlias, getDataModel, getID, getName, getParent, getProperties, getVisible, setAlias, setName, setVisible`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### PROP_STATIC

    public static final java.lang.String PROP_STATIC

  See Also:
    Constant Field Values

### PROP_RETURN_TYPE

    public static final java.lang.String PROP_RETURN_TYPE

  See Also:
    Constant Field Values

### PROP_PARAMETER_LIST

    public static final java.lang.String PROP_PARAMETER_LIST

  See Also:
    Constant Field Values

### PROP_ALLOW_CHAINING

    public static final java.lang.String PROP_ALLOW_CHAINING

  See Also:
    Constant Field Values

Method Detail

### getIsStatic

    public boolean getIsStatic()

  Whether the method is static
  Returns:
    true if the method is a static method

### getReturnType

    public java.lang.String getReturnType()

  Get alias the return type of the method. Note void is a special FactType.
  Returns:
    alias of the return type of the method.

### getParameterList

    public java.lang.String getParameterList()

  Get parameter list as a String. A convenient API
  Returns:
    return the method's parameter list in the format paramType, paramType ...

### isReturnTypePrimitive

    public boolean isReturnTypePrimitive()

  Whether the return type of the method is primitive (i.e. int, char, double etc.)?
  Returns:
    true if return type is primitive; false if return type is java or RL class

### getAllowChaining

    public boolean getAllowChaining()

  Allow expression chaining, e.g. a.foo().bar(). It only applies to the methods having complex return type. In another word, if the return type of the method is primitive, this method always return false.
  Returns:
    true to indicate the return value of the method can be chained to make up new expressions

### setAllowChaining

    public void setAllowChaining(boolean allowChaining)

  Set to allow the return value of the method to be chained to make up new expressions
  Parameters:
    `allowChaining` - true indicates that the return value of the method can be chained to make up new expressions

### get

    public java.lang.Object get(java.lang.Object key)

  Description copied from class: `ModelComponent`
  Overwrite hashtable get method. For some dynamic computed property (such as variable type options) we don't return the hashtable entry directly. Instead, we compute them dynamically.
  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `ModelComponent`
  Parameters:
    `key` - a String containing the property name to be fetched.
  Returns:
    the value corresponding to the key

### validate

    public void validate()
                  throws RulesSDKDMValidationException

  Description copied from class: `ModelComponent`
  valid the model component
  Overrides:
    `validate` in class `Constructor`
  Throws:
    `RulesSDKDMValidationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.